@echo off

set InputApp=genefer22g_windows64_25.04.00.exe

set Kolik=%1%
if NOT "%~1"=="" GOTO DeviceGPU

:Chybka
echo *** Ocekavam prvni parametr, ktery urcuje pocet testu k pripraveni ***
echo * Napr. Start_priprava_testu.bat 1

set Kolik=1
set /p Kolik=Kolik testu:
if not '%Kolik%'=='' set Kolik=%Kolik%

:DeviceGPU
set DeviceGPU=%2
IF NOT [%2] == [] GOTO CoTestovat_N

@echo:
echo *** Ocekam druhý parametr, ktery urcuje Device GPU, tedy na kterem zarizeni se bude pocitat ***
echo * Vyplnujte jen tehdy, pokud mate napr. integrovanou i externi grafiku nebo vice externich GPU %Kolik% 0

set DeviceGPU=0
set /p DeviceGPU=Device GPU:
if not '%DeviceGPU%'=='' set DeviceGPU=%DeviceGPU:~0,2%

:CoTestovat_N
set enko=%3
IF NOT [%3] == [] GOTO CoTestovat_B

@echo:
echo *** Ocekam treti parametr, ktery urcuje jake N, napr. 20 pro GFN20 (1048576)

set enko=20
set /p enko=Zadej hodnotu N pro GFN, jinak pouziji vychozi:
if not '%enko%'=='' set enko=%enko%

:CoTestovat_B
set becko=%4
IF NOT [%4] == [] GOTO Poustej

@echo:
echo *** Ocekam ctvrty parametr, ktery urcuje jake B, napr. 4296414 (pro 4296414 na N+1)
echo *** 2025/05 N16 B 480565436 / N17 B 337412938 / N18 B 64075834 / N19 - B 15209666 / N20 B 4296414 (2025/05) / N21 B 2351248 / N22 B 399998 / N23/DYFL B 103298

set becko=4296414
set /p becko=Zadej hodnotu B pro GFN, jinak pouziji vychozi:
if not '%becko%'=='' set becko=%becko%

:Poustej
@echo:
ECHO ** Pripravim %Kolik% testu na Device GPU %DeviceGPU% po %KolikTreadu% threadech a budu testovat GFN%enko%^^%becko%+1 **
rem timeout 3

:Kopiruj
ECHO *** Pripravuji...
for /l %%x in (1,1,%Kolik%) do (
 ECHO * Kopiruji TestGFNGPU_%%x
  mkdir TestGFNGPU_%%x
  cd TestGFNGPU_%%x
  copy /Y ..\_InputApps\%InputApp%
  rem echo %InputApp% -q %Kandidat% -nt %KolikTreadu% >_Run_this_app.bat
  echo %InputApp% -p -f gproof -n %enko% -b %becko% -d %DeviceGPU% >_Run_this_app.bat
  cd ..
 ECHO * Poustim test c. %%x...
 start _start_testu.cmd TestGFNGPU_%%x _Run_this_app.bat
 timeout 2
 )
@echo:
ECHO *** Melo by bezet %Kolik% testu ***
timeout 10

EXIT